{
  "name": "finchildren-guide",
  "version": "0.0.4",
  "scripts": {
    "ng": "ng",
    "start": "npm run gulp:start",
    "gulp:start": "gulp",
    "gulp-serve": "ng serve",
    "gulp-build": "ng build finchildren-style-guide --watch",
    "build": "ng build",
    "build:local": "ng build finchildren-style-guide && cd projects/finchildren-style-guide && npm pack && cd ../../ && npm i --save-dev dist/finchildren-style-guide",
    "build:publish": "npm run updade-version && ng build finchildren-style-guide --prod && cd dist/finchildren-style-guide && npm publish",
    "updade-version": "npm --no-git-tag-version version patch && cd projects/finchildren-style-guide && npm --no-git-tag-version version patch",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "prepare": "husky install"
  },
  "private": false,
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "npm run updade-version"
    }
  },
  "dependencies": {
    "@angular/animations": "~11.2.14",
    "@angular/cdk": "^11.2.3",
    "@angular/common": "~11.2.14",
    "@angular/compiler": "~11.2.14",
    "@angular/core": "~11.2.14",
    "@angular/forms": "~11.2.14",
    "@angular/material": "^11.2.3",
    "@angular/platform-browser": "~11.2.14",
    "@angular/platform-browser-dynamic": "~11.2.14",
    "@angular/router": "~11.2.14",
    "@finchildren/mat-button-fn": "0.0.2",
    "rxjs": "~6.6.0",
    "tslib": "^2.0.0",
    "zone.js": "~0.11.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.1102.13",
    "@angular/cli": "~11.2.14",
    "@angular/compiler-cli": "~11.2.14",
    "@commitlint/cli": "^14.1.0",
    "@commitlint/config-conventional": "^14.1.0",
    "@finchildren/finchildren-style-guide": "file:dist/finchildren-style-guide",
    "@types/jasmine": "~3.6.0",
    "@types/node": "^12.11.1",
    "codelyzer": "^6.0.0",
    "gulp": "^4.0.2",
    "gulp-run": "^1.7.1",
    "husky": "^7.0.4",
    "jasmine-core": "~3.6.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~6.1.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "~1.5.0",
    "ng-packagr": "^11.0.0",
    "protractor": "~7.0.0",
    "ts-node": "~8.3.0",
    "tslint": "~6.1.0",
    "typescript": "~4.1.5"
  }
}
